Package org.tmatesoft.svn.core.wc

# Class SVNPropertyData

java.lang.Object
org.tmatesoft.svn.core.wc.SVNPropertyData

public class SVNPropertyData extends Object
SVNPropertyData is a wrapper for both versioned and unversioned properties. This class represents the pair: property name - property value. Property managing methods of the SVNWCClient class use SVNPropertyData to wrap properties and dispatch them to handleProperty() methods of ISVNPropertyHandler for processing or simply return that 'properties object' as a target.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  - `ISVNPropertyHandler`
  - `SVNWCClient`

## Constructor Summary

Constructors
Constructor
Description
`SVNPropertyData(String name, SVNPropertyValue data, ISVNOptions options)`
Constructs an SVNPropertyData given a property name and its value.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getName()`
Gets the name of the property represented by this SVNPropertyData object.
`SVNPropertyValue`
`getValue()`
Gets the value of the property represented by this SVNPropertyData object.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SVNPropertyData

public SVNPropertyData(String name, SVNPropertyValue data, ISVNOptions options)
Constructs an SVNPropertyData given a property name and its value.

if `data` is not null, is a `string` property and `name` is an `svn-namespace` property name, then `options`, if not null, is used to translate the property value replacing all LF end of line markers in the property value with ones returned by `ISVNOptions.getNativeEOL()`. Otherwise, if `options` is null, the "line.separator" system property is used to retrieve a new EOL marker.

Parameters:
  `name` - a property name
  `data` - a property value
  `options` - provides EOL style information

## Method Details

### getName

public String getName()
Gets the name of the property represented by this SVNPropertyData object.

Returns:
  a property name

### getValue

public SVNPropertyValue getValue()
Gets the value of the property represented by this SVNPropertyData object.

Returns:
  a property value

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`